'use strict'

import request from '@/utils/request'
const proxyUrl = '/toolkit-api/'
const userApi = proxyUrl + 'Library/WebModuleContentPage' // 用户操作
export default {
  // 用户操作
  userList (params) {
    return request({ url: userApi, params: params, apiType: 'list', suffix: '.tkx' })
  },
  // 用户新增
  userInsert (params) {
    return request({ url: userApi, params: params, type: 'POST', apiType: 'insert', suffix: '.tkx' })
  },
  // 用户删除
  userDelete (params) {
    return request({ url: userApi, params: params, apiType: 'delete', suffix: '.tkx' })
  },
  // 用户更新
  userUpdate (params) {
    return request({ url: userApi, params: params, type: 'POST', apiType: 'update', suffix: '.tkx' })
  },
  // 用户详情
  userDetail (params) {
    return  request({ url: userApi, params: params, apiType: 'detail', suffix: '.tkx' })
  },

  // 获取后台数据 需要传url params
  asyncData (url, params, apiType) {
    return  request({ url: url, params: params, apiType: apiType || 'list', suffix: '.tkx' })
  }
}
