// The Vue build version to load with the `import` command
// (runtime-only or standalone) has been set in webpack.base.conf with an alias.
import Vue from 'vue'

import Element from 'element-ui'
import 'element-ui/lib/theme-chalk/index.css'

import '@/styles/index.scss' // global css
import App from './App'
import store from './store'
import router from './router'
import './icons' // icon
import './permission' // permission control
import * as directives from './directive'
import tkRouter from './directive/router'
import * as filters from './filters' // global filters
import TKRouter from './lib/global'

Vue.use(TKRouter)

// register global utility filters.
Object.keys(filters).forEach(key => {
  Vue.filter(key, filters[key])
})

Vue.use(Element)
console.log('directives: ', directives)
Vue.config.productionTip = false
/* eslint-disable no-new */
window.vue = new Vue({
  el: '#app',
  router,
  store,
  directives: { tkRouter },
  components: { App },
  template: '<App/>'
})
