import router from './router'
import store from './store'
import NProgress from 'nprogress'
import 'nprogress/nprogress.css'

NProgress.configure({ showSpinner: false })

router.beforeEach((to, from, next) => {
  NProgress.start()
  if (to.path === '/login') return next()
  if (!store.getters.addRouters || store.getters.addRouters.length < 1) {
    const roles = ['admin']
    store.dispatch('GenerateRoutes', { roles }).then(() => {
      router.addRoutes(store.getters.addRouters)
      next({ ...to, replace: true })
    })
  } else {
    next()
  }
})

router.afterEach(() => {
  NProgress.done()
})
