import Vue from 'vue'
import Router from 'vue-router'
/** Layout */
import Layout from '@/views/layout/Layout'
/** Router Modules */
import templateRouter from './modules/template'
const _import = require('./_import_' + process.env.NODE_ENV)
Vue.use(Router)

/** 同步 */
export const constantRouterMap = [
  { path: '/', redirect: '/dashboard', hidden: true },
  { path: '/login', component: _import('login/index'), meta: { permission: false }, hidden: true },
  {
    path: '/dashboard',
    component: Layout,
    redirect: '/dashboard/index',
    meta: { title: 'Dashboard', icon: 'form' },
    children: [
      {
        path: 'index',
        component: () => import('@/views/templates/index'),
        name: 'dashboard',
        meta: {
          title: 'dashboard',
          icon: 'form',
          pageType: 'other',
          tempUrl: 'template/dashboard.html',
          dataUrl: 'data/dashboard.json',
          params: {}
        }
      }
    ],
  },
  { path: '*', redirect: '/dashboard', hidden: true }
]

/** 异步 */
export const asyncRouterMap = [
  // 模板
  templateRouter
]

export default new Router({
  scrollBehavior: () => ({ y: 0 }),
  routes: constantRouterMap
})
