import Layout from '@/views/layout/Layout'

const templateRouter = {
  path: '/views',
  component: Layout,
  redirect: '/views/list',
  name: 'viewsList',
  hidden: true,
  meta: {
    title: 'views',
    icon: 'table'
  },
  children: [
    {
      path: 'list',
      hidden: true,
      component: () => import('@/views/templates/list'),
      name: 'listView',
      meta: { title: 'listView', pageType: 'list' }
    },
    {
      path: 'edit',
      hidden: true,
      component: () => import('@/views/templates/edit'),
      name: 'editView',
      meta: { title: 'editView', pageType: 'edit' }
    },
    {
      path: 'detail',
      hidden: true,
      component: () => import('@/views/templates/detail'),
      name: 'detailView',
      meta: { title: 'detailView', pageType: 'detail' }
    },
    {
      path: 'other',
      hidden: true,
      component: () => import('@/views/templates/other'),
      name: 'otherView',
      meta: { title: 'otherView', pageType: 'other' }
    }
  ]
}
export default templateRouter
